<VirtualHost *:443>
    ServerName {{ servername }} 
    SSLEngine On
    SSLProxyEngine On
    #SSLProxyCheckPeerName off # only for testing, if no cert available
    
    # for testing a self signed cert could be used, generate with
    # openssl req -x509 -nodes -days 365 -newkey rsa:2048 -keyout ssl.key -out ssl.crt
    SSLCertificateFile      /path/to/signed_cert_and_intermediate_certs
    SSLCertificateKeyFile   /path/to/private_key

    #SSLProxyCipherSuite <best backend ciphers>
    
    ProxyPass / https://{{ backend-FQDN }}/
    ProxyPassReverse / https://{{ backend-DQDN }}/
</VirtualHost>

